VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR:
[legend]

## Public Member Functions

| AcquireNextImageInfoKHR (SwapchainKHR swapchain_=SwapchainKHR(), uint64_t timeout_=0, Semaphore semaphore_=Semaphore(), Fence fence_=Fence(), uint32_t deviceMask_=0)
| AcquireNextImageInfoKHR (VkAcquireNextImageInfoKHR const &rhs)
AcquireNextImageInfoKHR & | operator= (VkAcquireNextImageInfoKHR const &rhs)
AcquireNextImageInfoKHR & | setPNext (const void *pNext_)
AcquireNextImageInfoKHR & | setSwapchain (SwapchainKHR swapchain_)
AcquireNextImageInfoKHR & | setTimeout (uint64_t timeout_)
AcquireNextImageInfoKHR & | setSemaphore (Semaphore semaphore_)
AcquireNextImageInfoKHR & | setFence (Fence fence_)
AcquireNextImageInfoKHR & | setDeviceMask (uint32_t deviceMask_)
| operator VkAcquireNextImageInfoKHR const & () const
| operator VkAcquireNextImageInfoKHR & ()
bool | operator== (AcquireNextImageInfoKHR const &rhs) const
bool | operator!= (AcquireNextImageInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
SwapchainKHR | swapchain
uint64_t | timeout
Semaphore | semaphore
Fence | fence
uint32_t | deviceMask

## Private Attributes

StructureType | sType = StructureType::eAcquireNextImageInfoKHR

## Detailed Description

Definition at line 14980 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AcquireNextImageInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::AcquireNextImageInfoKHR | ( | SwapchainKHR | swapchain_ = `SwapchainKHR()`,
|  | uint64_t | timeout_ = `0`,
|  | Semaphore | semaphore_ = `Semaphore()`,
|  | Fence | fence_ = `Fence()`,
|  | uint32_t | deviceMask_ = `0`
| ) |  |

inline

Definition at line 14982 of file vulkan.hpp.

: swapchain( swapchain_ )
, timeout( timeout_ )
, semaphore( semaphore_ )
, fence( fence_ )
, deviceMask( deviceMask_ )
{
}

## AcquireNextImageInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::AcquireNextImageInfoKHR | ( | VkAcquireNextImageInfoKHR const & | rhs | ) |

inline

Definition at line 14995 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AcquireNextImageInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkAcquireNextImageInfoKHR &()

VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::operator VkAcquireNextImageInfoKHR & | ( |  | ) |

inline

Definition at line 15046 of file vulkan.hpp.

{
return *reinterpret_cast<VkAcquireNextImageInfoKHR*>(this);
}

## operator VkAcquireNextImageInfoKHR const &()

VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::operator VkAcquireNextImageInfoKHR const & | ( |  | ) | const

inline

Definition at line 15041 of file vulkan.hpp.

{
return *reinterpret_cast<const VkAcquireNextImageInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::operator!= | ( | AcquireNextImageInfoKHR const & | rhs | ) | const

inline

Definition at line 15062 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::operator= | ( | VkAcquireNextImageInfoKHR const & | rhs | ) |

inline

Definition at line 15000 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AcquireNextImageInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::operator== | ( | AcquireNextImageInfoKHR const & | rhs | ) | const

inline

Definition at line 15051 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( swapchain == rhs.swapchain )
&& ( timeout == rhs.timeout )
&& ( semaphore == rhs.semaphore )
&& ( fence == rhs.fence )
&& ( deviceMask == rhs.deviceMask );
}

References deviceMask, fence, pNext, semaphore, sType, swapchain, and timeout.

Referenced by operator!=().

## setDeviceMask()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::setDeviceMask | ( | uint32_t | deviceMask_ | ) |

inline

Definition at line 15035 of file vulkan.hpp.

{
deviceMask = deviceMask_;
return *this;
}

References deviceMask.

## setFence()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::setFence | ( | Fence | fence_ | ) |

inline

Definition at line 15029 of file vulkan.hpp.

{
fence = fence_;
return *this;
}

References fence.

## setPNext()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 15005 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSemaphore()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::setSemaphore | ( | Semaphore | semaphore_ | ) |

inline

Definition at line 15023 of file vulkan.hpp.

{
semaphore = semaphore_;
return *this;
}

References semaphore.

## setSwapchain()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::setSwapchain | ( | SwapchainKHR | swapchain_ | ) |

inline

Definition at line 15011 of file vulkan.hpp.

{
swapchain = swapchain_;
return *this;
}

References swapchain.

## setTimeout()

AcquireNextImageInfoKHR& VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::setTimeout | ( | uint64_t | timeout_ | ) |

inline

Definition at line 15017 of file vulkan.hpp.

{
timeout = timeout_;
return *this;
}

## Field Documentation

## deviceMask

uint32_t VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::deviceMask

Definition at line 15076 of file vulkan.hpp.

Referenced by operator==(), and setDeviceMask().

## fence

Fence VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::fence

Definition at line 15075 of file vulkan.hpp.

Referenced by operator==(), and setFence().

## pNext

const void* VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::pNext = nullptr

Definition at line 15071 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## semaphore

Semaphore VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::semaphore

Definition at line 15074 of file vulkan.hpp.

Referenced by operator==(), and setSemaphore().

## sType

StructureType VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::sType = StructureType::eAcquireNextImageInfoKHR

private

Definition at line 15068 of file vulkan.hpp.

Referenced by operator==().

## swapchain

SwapchainKHR VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::swapchain

Definition at line 15072 of file vulkan.hpp.

Referenced by operator==(), and setSwapchain().

## timeout

uint64_t VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::timeout

Definition at line 15073 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

timeout
GLbitfield GLuint64 timeout
Definition: SDL_opengl_glext.h:1483
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:15071
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::operator==
bool operator==(AcquireNextImageInfoKHR const &rhs) const
Definition: vulkan.hpp:15051
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::deviceMask
uint32_t deviceMask
Definition: vulkan.hpp:15076
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:15068
VkAcquireNextImageInfoKHR
Definition: vulkan_core.h:4855
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::swapchain
SwapchainKHR swapchain
Definition: vulkan.hpp:15072
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::AcquireNextImageInfoKHR
AcquireNextImageInfoKHR(SwapchainKHR swapchain_=SwapchainKHR(), uint64_t timeout_=0, Semaphore semaphore_=Semaphore(), Fence fence_=Fence(), uint32_t deviceMask_=0)
Definition: vulkan.hpp:14982
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::fence
Fence fence
Definition: vulkan.hpp:15075
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::timeout
uint64_t timeout
Definition: vulkan.hpp:15073
VULKAN_HPP_NAMESPACE::AcquireNextImageInfoKHR::semaphore
Semaphore semaphore
Definition: vulkan.hpp:15074